Jump to: navigation, search

Difference between revisions of "GEF3D List of Graphics Card"

(added VB 3.2.0)
 
(3 intermediate revisions by one other user not shown)
Line 1: Line 1:
For performance reasons, GEF3D uses some OpenGL features which are not part of OpenGL 1.5:
+
GEF3D requires at least OpenGL 1.5. For performance reasons, GEF3D uses some OpenGL features which are not part of OpenGL 1.5:
 
* NPOT textures (NPOT: non-power of two, see [http://www.opengl.org/wiki/index.php/NPOT_Textures OpenGL Wiki NPOT article]) and  
 
* NPOT textures (NPOT: non-power of two, see [http://www.opengl.org/wiki/index.php/NPOT_Textures OpenGL Wiki NPOT article]) and  
 
* FBOs (Framebuffer Objects) (see [http://en.wikipedia.org/wiki/Framebuffer_Object Wikipedia FBO article])
 
* FBOs (Framebuffer Objects) (see [http://en.wikipedia.org/wiki/Framebuffer_Object Wikipedia FBO article])
Line 12: Line 12:
 
at de.feu.draw3d.texture.Texture.createFbo(Texture.java:157)
 
at de.feu.draw3d.texture.Texture.createFbo(Texture.java:157)
 
  ...</code></pre>  
 
  ...</code></pre>  
you'll probably have to update your OpenGL driver (or your graphics card). You may want to look at the OpenGL wiki articles on hardware specifics:
+
you'll probably have to update your OpenGL driver (or your graphics card). You may want to look at the [[http://www.opengl.org/wiki/Hardware_specifics OpenGL wiki articles on hardware specifics]] (with special pages for NVidia, ATI, and Intel graphics).
* [http://www.opengl.org/wiki/index.php/Hardware_specifics:_ATI ATI], note: FBO was added with Radeon 9700, GL v. 2.0
+
* [http://www.opengl.org/wiki/index.php/Hardware_specifics:_NVidia NVidia]
+
  
  
 
== List of Tested Graphics Cards ==
 
== List of Tested Graphics Cards ==
  
The following graphics cards were successfully tested. You may have to update your driver in order to make your card work. If your card is working but not listed here, please write a post to GEF3D's newsgroup.  
+
The following graphics cards (and virtual machines) were successfully tested. You may have to update your driver in order to make your card work. If your card is working but not listed here, please write a post to GEF3D's newsgroup.  
  
 
Remarks:
 
Remarks:
 
* GEF3D revision is only a hint and does not necessarily indicate other reversions to work or not work. The revision is the revision number of the SVN repository
 
* GEF3D revision is only a hint and does not necessarily indicate other reversions to work or not work. The revision is the revision number of the SVN repository
  
 +
<center>'''Feel free to update this list, especially if your system ''is'' working!'''</center>
  
 
=== Working ===
 
=== Working ===
Line 31: Line 30:
 
! Manufacturer !! Graphics Card Model              !! OS      !! Driver Version  !! GEF3D revision  !! Graphics3D Impl  !! State !! Remarks
 
! Manufacturer !! Graphics Card Model              !! OS      !! Driver Version  !! GEF3D revision  !! Graphics3D Impl  !! State !! Remarks
 
|-
 
|-
| NVIDIA    || GeForce 8600M GT                    || Mac OS X || OS X 10.5/10.6  || rev. 229    || LWJGL            || ok  || primary GEF3D development system
+
| NVIDIA    || GeForce 8600M GT                    || Mac OS X || OS X 10.5/10.6  || rev. 229    || LWJGL            || ok  || primary GEF3D development system
 +
|-
 +
| NVIDIA    || GeForce GT 330M                      || Mac OS X || OS X 10.6              || rev. 448    || LWJGL            || ok  || primary GEF3D development system
 
|-
 
|-
 
| ATI      || Radeon X1600/X1650                  || Win XP  || 7.9              || nn    || LWJGL            || ok  ||
 
| ATI      || Radeon X1600/X1650                  || Win XP  || 7.9              || nn    || LWJGL            || ok  ||
Line 38: Line 39:
 
|-
 
|-
 
| ATI      || HIS Excalibur Radeon 9550 ViVo+DVI  || Win XP  ||  8.7 (July 2008)  || nn    || LWJGL            || ok  || [http://game.amd.com/us-en/drivers_catalyst.aspx?p=xp/radeonx-xp ATI Catalyst(TM) 8.7 Display Driver]
 
| ATI      || HIS Excalibur Radeon 9550 ViVo+DVI  || Win XP  ||  8.7 (July 2008)  || nn    || LWJGL            || ok  || [http://game.amd.com/us-en/drivers_catalyst.aspx?p=xp/radeonx-xp ATI Catalyst(TM) 8.7 Display Driver]
 +
|-
 +
| VMware    || VMware Fusion (on Mac OS X)  || Win XP ||  3.0.2  || rev. 448    || LWJGL            || ok  || Win XP running in VM with VMWare Fusion, with GeForce GT 330M
 
|-
 
|-
 
|}
 
|}
Line 58: Line 61:
 
|-
 
|-
 
|| ATI      || ATI Mobility Radeon 7000            || Win XP  || 6.13.10.6278    || nn    || LWJGL            || no  || FBO not supported, Probably not latest driver version
 
|| ATI      || ATI Mobility Radeon 7000            || Win XP  || 6.13.10.6278    || nn    || LWJGL            || no  || FBO not supported, Probably not latest driver version
 +
|-
 +
| VMware    || VMware Fusion (Host: Mac OS X)  || Ubuntu 10.04 ||  3.0.2  || rev. 448    || LWJGL            || no  || Ubuntu 10.4 running in VM with VMWare Fusion with GeForce GT 330M
 +
|-
 +
| Sun    || VirtualBox 2.1.2  || Win XP || 2.1.2.0  || rev. 448    || LWJGL            || no  || VB supports only Open GL 1.1 and not FBO
 +
|-
 +
| Sun    || VirtualBox 3.2.0 (Host: Mac OS X)  || Ubuntu 10.04 || 3.2.0, 3D enabled  || rev. 448    || LWJGL            || no  || no, VB crashes! (although FBO extension is supported)
 +
 
|-
 
|-
 
|}
 
|}

Latest revision as of 08:55, 27 May 2010

GEF3D requires at least OpenGL 1.5. For performance reasons, GEF3D uses some OpenGL features which are not part of OpenGL 1.5:

If you got an error message opening one of our examples which starts with

<code>java.lang.IllegalStateException: Function is not supported
	at org.lwjgl.BufferChecks.checkFunctionAddress
	   (BufferChecks.java:69)
	at org.lwjgl.opengl.EXTFramebufferObject.glGenFramebuffersEXT
	   (EXTFramebufferObject.java:187)
	at de.feu.draw3d.texture.Texture.createFbo(Texture.java:157)
 ...</code>

you'll probably have to update your OpenGL driver (or your graphics card). You may want to look at the [OpenGL wiki articles on hardware specifics] (with special pages for NVidia, ATI, and Intel graphics).


List of Tested Graphics Cards

The following graphics cards (and virtual machines) were successfully tested. You may have to update your driver in order to make your card work. If your card is working but not listed here, please write a post to GEF3D's newsgroup.

Remarks:

  • GEF3D revision is only a hint and does not necessarily indicate other reversions to work or not work. The revision is the revision number of the SVN repository
Feel free to update this list, especially if your system is working!

Working

Manufacturer Graphics Card Model OS Driver Version GEF3D revision Graphics3D Impl State Remarks
NVIDIA GeForce 8600M GT Mac OS X OS X 10.5/10.6 rev. 229 LWJGL ok primary GEF3D development system
NVIDIA GeForce GT 330M Mac OS X OS X 10.6 rev. 448 LWJGL ok primary GEF3D development system
ATI  Radeon X1600/X1650 Win XP 7.9 nn LWJGL ok
ATI Radeon X700 Series Win XP  8.8 nn  LWJGL ok ATI Catalyst 8.8 Display Driver used
ATI HIS Excalibur Radeon 9550 ViVo+DVI Win XP 8.7 (July 2008) nn LWJGL ok ATI Catalyst(TM) 8.7 Display Driver
VMware VMware Fusion (on Mac OS X) Win XP 3.0.2 rev. 448 LWJGL ok Win XP running in VM with VMWare Fusion, with GeForce GT 330M

Not Working

The following cards are not working (as far as we know), mainly because they do not suport FBOs. In elder versions of GEF3D, we tried to support cards without FBO, but this is too much work for us and almost all newer cards do support FBOs.

Manufacturer Graphics Card Model OS Driver Version GEF3D revision. Graphics3D Impl State Remarks
Matrox Matrox Millennium P-Series Win XP 1.4.2.7 nn  LWJGL no FBO not supported
NVIDIA GeForce2 MX 100/200 Win XP 6.14.10.9371 nn LWJGL no FBO not supported
NVIDIA GeForce4 440 Go Win XP 4.2.5.8 nn LWJGL no FBO not supported
NVIDIA GeForce3 Win XP 6.14.10.9371 nn LWJGL no FBO not supported
ATI ATI Mobility Radeon 7000 Win XP 6.13.10.6278 nn LWJGL no FBO not supported, Probably not latest driver version
VMware VMware Fusion (Host: Mac OS X) Ubuntu 10.04 3.0.2 rev. 448 LWJGL no Ubuntu 10.4 running in VM with VMWare Fusion with GeForce GT 330M
Sun VirtualBox 2.1.2 Win XP 2.1.2.0 rev. 448 LWJGL no VB supports only Open GL 1.1 and not FBO
Sun VirtualBox 3.2.0 (Host: Mac OS X) Ubuntu 10.04 3.2.0, 3D enabled rev. 448 LWJGL no no, VB crashes! (although FBO extension is supported)